#ifndef FLATSHADER_HXX
#define FLATSHADER_HXX

#include "Shader.hxx"

class FlatShader : public Shader
{
public:
  Vec3f color;

  FlatShader(Scene *scene, Vec3f color=Vec3f(0.5,0.5,0.5))
    : Shader(scene), color(color)
  {};
  
  virtual Vec3f Shade(Ray &ray)
  { return color; };
};

#endif
